osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P > Class Template Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Private Attributes | List of all members
osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P > Class Template Reference
Collaboration diagram for osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >:
[legend]

## Public Member Functions
| DefenseHelperProof (Searcher *searcher, NtesukiRecord *record, const NtesukiRecord *record_orig, unsigned int pass_left, const Move last_move)
void | operator() (Square p)

## Private Attributes
Searcher * | searcher
NtesukiRecord * | record
const NtesukiRecord * | record_orig
unsigned int | pass_left
const Move | last_move

## Detailed Description

### template<class Searcher, Player P>
class osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >

Definition at line 69 of file ntesukiSimulationSearcherProof.tcc.

## Constructor & Destructor Documentation

template<class Searcher , Player P>

osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::DefenseHelperProof | ( | Searcher * | searcher,
|  | NtesukiRecord * | record,
|  | const NtesukiRecord * | record_orig,
|  | unsigned int | pass_left,
|  | const Move | last_move
| ) |  |
| inline

Definition at line 78 of file ntesukiSimulationSearcherProof.tcc.

## Member Function Documentation

template<class Searcher , Player P>

void osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::operator() | ( | Square | p) |  |
| inline

Definition at line 89 of file ntesukiSimulationSearcherProof.tcc.

## Member Data Documentation

template<class Searcher , Player P>

const Move osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::last_move
| private

Definition at line 76 of file ntesukiSimulationSearcherProof.tcc.

template<class Searcher , Player P>

unsigned int osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::pass_left
| private

Definition at line 75 of file ntesukiSimulationSearcherProof.tcc.

template<class Searcher , Player P>

NtesukiRecord* osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::record
| private

Definition at line 73 of file ntesukiSimulationSearcherProof.tcc.

template<class Searcher , Player P>

const NtesukiRecord* osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::record_orig
| private

Definition at line 74 of file ntesukiSimulationSearcherProof.tcc.

template<class Searcher , Player P>

Searcher* osl::ntesuki::NtesukiSimulationSearcher::DefenseHelperProof< Searcher, P >::searcher
| private

Definition at line 72 of file ntesukiSimulationSearcherProof.tcc.

The documentation for this class was generated from the following file:

- ntesukiSimulationSearcherProof.tcc